# Set-show

The set command can be used to set lots of options. No screen is drawn, however, until a plot, splot, or replot command is given.

The show command shows their settings; show all shows all the settings.

Options changed using set can be returned to the default state by giving the corresponding unset command. See also the reset (p. ) command, which returns all settable parameters to default values.

The set and unset commands may optionally contain an iteration clause. See plot for (p. ).

Subsections

- Angles
- Arrow
- Autoscale
  - Parametric mode
  - Polar mode
- Bars
- Bind
- Bmargin
- Border
- Boxwidth
- Color
- Colorsequence
- Clabel
- Clip
- Cntrlabel
- Cntrparam
- Color box
- Colornames
- Contour
- Dashtype
- Data style
- Datafile
  - Set datafile fortran
  - Set datafile nofpe_trap
  - Set datafile missing
  - Set datafile separator
  - Set datafile commentschars
  - Set datafile binary
- Decimalsign
- Dgrid3d
- Dummy
- Encoding
- Fit
- Fontpath
- Format
  - Gprintf
  - Format specifiers
  - Time/date specifiers
    - Examples
- Function style
- Functions
- Grid
- Hidden3d
- Historysize
- History
- Isosamples
- Key
  - Key placement
  - Key samples
- Label
  - Examples
  - Hypertext
- Linetype
- Link
- Lmargin
- Loadpath
- Locale
- Logscale
- Macros
- Mapping
- Margin
- Monochrome
- Mouse
  - Doubleclick
  - Mouseformat
  - Scrolling
  - X11 mouse
  - Zoom
- Multiplot
- Mx2tics
- Mxtics
- My2tics
- Mytics
- Mztics
- Object
  - Rectangle
  - Ellipse
  - Circle
  - Polygon
- Offsets
- Origin
- Output
- Parametric
- Paxis
- Plot
- Pm3d
  - Algorithm
  - Position
  - Scanorder
  - Clipping
  - Color_assignment
  - Corners2color
  - Border
  - Interpolate
  - Deprecated_options
- Palette
  - Rgbformulae
  - Defined
  - Functions
  - Gray
  - Cubehelix
  - File
  - Gamma correction
  - Postscript
- Pointintervalbox
- Pointsize
- Polar
- Print
- Psdir
- Raxis
- Rmargin
- Rrange
- Rtics
- Samples
- Size
- Style
  - Set style arrow
  - Boxplot
  - Set style data
  - Set style fill
    - Set style fill transparent
  - Set style function
  - Set style increment
  - Set style line
  - Set style circle
  - Set style rectangle
  - Set style ellipse
  - Set style textbox
- Surface
- Table
- Terminal
- Termoption
- Tics
- Ticslevel
- Ticscale
- Timestamp
- Timefmt
- Title
- Tmargin
- Trange
- Urange
- Variables
- Version
- View
  - Equal_axes
- Vrange
- X2data
- X2dtics
- X2label
- X2mtics
- X2range
- X2tics
- X2zeroaxis
- Xdata
  - Time
- Xdtics
- Xlabel
- Xmtics
- Xrange
- Xtics
  - Xtics timedata
  - Geographic
  - Xtics rangelimited
- Xyplane
- Xzeroaxis
- Y2data
- Y2dtics
- Y2label
- Y2mtics
- Y2range
- Y2tics
- Y2zeroaxis
- Ydata
- Ydtics
- Ylabel
- Ymtics
- Yrange
- Ytics
- Yzeroaxis
- Zdata
- Zdtics
- Zzeroaxis
- Cbdata
- Cbdtics
- Zero
- Zeroaxis
- Zlabel
- Zmtics
- Zrange
- Ztics
- Cblabel
- Cbmtics
- Cbrange
- Cbtics